<?php

namespace FiloBlu\Floker\Email\Helper;

use Zend\Mail\Transport\SmtpOptions;

/**
 * Class Transactional
 * @package FiloBlu\Floker\Email\Helper
 */
class Transactional extends \Dotdigitalgroup\Email\Helper\Transactional
{

    /**
     * @param int $storeId
     *
     * @return SmtpOptions
     */
    public function getSmtpOptions($storeId)
    {
        return new SmtpOptions(
            [
                'host' => $this->getSmtpHost($storeId),
                'port' => $this->getSmtpPort($storeId),
                'connection_class' => 'login',
                'connection_config' =>
                    [
                        'username' => '',
                        'password' => '',
                        'auth' => 'plain'
                    ]
            ]
        );
    }
    /**
     * @param $storeId
     * @return string
     */
    public function getSmtpHost($storeId)
    {
        return 'mailhog';
    }

    /**
     * @param int $storeId
     * @return bool|int|string
     */
    public function getSmtpPort($storeId)
    {
        return 1025;
    }

    /**
     * Get config values for transport.
     *
     * @param int $storeId
     *
     * @return array
     */
    public function getTransportConfig($storeId)
    {
        return [
            'port' => 1025,
            'auth' => 'plain'
        ];
    }
}